import type { NobjcObject } from "objc-js";
import type { _VNRequest } from "./VNRequest.js";
import type { _VNStatefulRequest } from "./VNStatefulRequest.js";
import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSError } from "../Foundation/NSError.js";
import type { VNGeneratePersonSegmentationRequestQualityLevel } from "./VNGeneratePersonSegmentationRequestQualityLevel.js";
export declare class _VNGeneratePersonSegmentationRequest extends _VNStatefulRequest {
    static alloc(): _VNGeneratePersonSegmentationRequest;
    static new(): _VNGeneratePersonSegmentationRequest;
    init(): _VNGeneratePersonSegmentationRequest;
    initWithCompletionHandler$(completionHandler: ((arg0: _VNRequest, arg1: _NSError) => void) | null): _VNGeneratePersonSegmentationRequest;
    /**
     * Obtain the collection of supported output pixel formats for the configured request.
     */
    supportedOutputPixelFormatsAndReturnError$(error: NobjcObject | null): _NSArray | null;
    /**
     * The quality level selects which techniques will be used during the person segmentation. There are trade-offs between performance and accuracy.
     */
    qualityLevel(): VNGeneratePersonSegmentationRequestQualityLevel;
    setQualityLevel$(value: VNGeneratePersonSegmentationRequestQualityLevel): void;
    /**
     * Pixel format type of the output buffer. Valid values are kCVPixelFormatType_OneComponent32Float, kCVPixelFormatType_OneComponent16Half, and kCVPixelFormatType_OneComponent8. Default is kCVPixelFormatType_OneComponent8.
     */
    outputPixelFormat(): number;
    setOutputPixelFormat$(value: number): void;
    results(): _NSArray | null;
}
